---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_Module;'
    name:      Module
    index:     57
    customTagName: 'module'
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    relationships:
    # - instance: '&IDR_Module__has__Instance;'
    # - instance: '&IDR_Instance__for__Module'
    # - instance: '&IDR_Module__owned_by__Owner;'
    - instance: '&IDR_Module__has_parent__Module;'
      customTagName: 'parentModuleId'
      
    instances:
    - instance: '&IDI_Module_MochaBaseSystem;'
      name: 'Mocha Base System'
    - instance: '&IDI_Module_MochaBaseSystem_OOP;'
      name: 'OOP'
      parentModuleId: '&IDI_Module_MochaBaseSystem;'
    - instance: '&IDI_Module_MochaBaseSystem_OOP_OOPMethodExamples;'
      name: 'OOP Method Examples'
      parentModuleId: '&IDI_Module_MochaBaseSystem_OOP;'
    - instance: '&IDI_Module_MochaBaseSystem_UI;'
      name: 'UI'
      parentModuleId: '&IDI_Module_MochaBaseSystem;'
    - instance: '&IDI_Module_MochaBaseSystem_UI_UIExamples;'
      name: 'UI Examples'
      parentModuleId: '&IDI_Module_MochaBaseSystem;'
    - instance: '&IDI_Module_MochaBaseSystem_Reporting;'
      name: 'Reporting'
      parentModuleId: '&IDI_Module_MochaBaseSystem;'

  - relationship: '&IDR_Module__has__Instance;'
    index: 11841
    sourceClassId: '&IDC_Module;'
    type: 'has'
    destinationClassId: '&IDC_Instance;'
    siblingRelationshipId: '&IDR_Instance__for__Module;'
    singular: no

  - relationship: '&IDR_Instance__for__Module;'
    index: 11842
    sourceClassId: '&IDC_Instance;'
    type: 'for'
    destinationClassId: '&IDC_Module;'
    siblingRelationshipId: '&IDR_Module__has__Instance;'
    singular: no

  - relationship: '&IDR_Module__has_parent__Module;'
    index: 11882
    sourceClassId: '&IDC_Module;'
    type: 'has parent'
    destinationClassId: '&IDC_Module;'
    siblingRelationshipId: '&IDR_Module__parent_for__Module;'
    singular: yes

  - relationship: '&IDR_Module__parent_for__Module;'
    index: 11883
    sourceClassId: '&IDC_Module;'
    type: 'parent for'
    destinationClassId: '&IDC_Module;'
    siblingRelationshipId: '&IDR_Module__has_parent__Module;'
    singular: no
